#
# spec file for package aqbanking
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define          build_ofx 1
%define          aq_plugindir   %{_libdir}/aqbanking/plugins/34
%define          fronts_libdir  %{aq_plugindir}/frontends
%define          imex_plugindir %{aq_plugindir}/imexporters
%define          imex_datadir   %{_datadir}/%{name}/imexporters
%define          fronts_datadir %{_datadir}/%{name}/frontends
%define          qb_cfgmoddir   %{fronts_libdir}/qbanking/cfgmodules
%define          q4b_cfgmoddir  %{fronts_libdir}/q4banking/cfgmodules

Name:           aqbanking
Version:        5.1.0beta
Release:        3.34
# FIXME Still unable to use parallel make. Last checked: 2011-09-25
Summary:        Library for Online Banking Functions and Financial Data Import and Export
License:        GPL-2.0 or GPL-3.0
Group:          Productivity/Office/Finance
Url:            http://www.aquamaniac.de/aqbanking/
Source:         %{name}-%{version}.tar.gz
#Source:        http://www.aquamaniac.de/sites/download/download.php?package=03&release=102&file=01&dummy=aqbanking-5.0.32beta.tar.gz
Source1:        aqbanking4-handbook-20091231.pdf
#Source1:       http://www.aquamaniac.de/sites/download/download.php?package=09&release=09&file=01&dummy=aqbanking4-handbook-20091231.pdf
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  gwenhywfar-devel >= 4.7.0
BuildRequires:  gwenhywfar-tools
BuildRequires:  ktoblzcheck-devel >= 1.10
%if !0%{?sles_version}
BuildRequires:  pkgconfig(gtk+-2.0)
%else
BuildRequires:  gtk2-devel
%endif
%if %build_ofx
BuildRequires:  libofx-devel
%endif
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AqBanking is a generic online banking interface. It allows multiple
back-ends (currently HBCI) and multiple front-ends (such as KDE, GNOME,
or console) to be used.

%package devel
Summary:        Library for Online Banking Functions and Financial Data Import/Export
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glibc-devel
Requires:       gwenhywfar-devel
Requires:       ktoblzcheck-devel
%if %build_ofx
Requires:       libofx-devel
%endif

%description devel
AqBanking is a generic OnlineBanking interface. It allows multiple
backends (currently HBCI) and multiple frontends  (e.g. KDE, GNOME,
console) to be used.

%package doc
Summary:        Library for Online Banking Functions and Financial Data Import/Export
License:        SUSE-Free-Art-1.3
Group:          Productivity/Office/Finance
Requires:       %{name} = %{version}

%description doc
AqBanking is a generic OnlineBanking interface. It allows multiple
backends (currently HBCI) and multiple frontends  (e.g. KDE, GNOME,
console) to be used.

This package contains a handbook.

%if %build_ofx

%package ofx
Summary:        Library for Online Banking Functions and Financial Data Import/Export
License:        GPL-2.0+
Group:          Productivity/Office/Finance
Requires:       %{name} = %{version}

%description ofx
AqBanking is a generic OnlineBanking interface. It allows multiple
backends (currently HBCI) and multiple frontends  (e.g. KDE, GNOME,
console) to be used.

%endif
%lang_package

%prep
%setup -q

%build
BACKEND_LIST="aqhbci aqnone"
%if %build_ofx
BACKEND_LIST="$BACKEND_LIST aqofxconnect"
%endif
%configure\
	--enable-release\
	--with-backends="$BACKEND_LIST" \
	--enable-full-doc\
	--enable-gui-tests
make

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Remove files that we'll have elsewhere
rm %{buildroot}%{_datadir}/doc/%{name}/{AUTHORS,COPYING,ChangeLog,README}
mv %{buildroot}%{_datadir}/doc/aqhbci/aqhbci-tool/README README.aqhbci
# Install the handbook
%__install -m 644 %{S:1} %{buildroot}%{_datadir}/%{name}/aqbanking-handbook.pdf
%find_lang %{name}
%fdupes %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %build_ofx

%post ofx -p /sbin/ldconfig

%postun ofx -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO README.aqhbci
### The original aqbanking files
%{_bindir}/%{name}-cli
%{_libdir}/lib%{name}*.so.*
%dir %{_libdir}/gwenhywfar/plugins/*/dbio
%{_libdir}/gwenhywfar/plugins/*/dbio/dtaus.*
%{_libdir}/gwenhywfar/plugins/*/dbio/swift.*
%{_datadir}/%{name}/aqbanking/
%{_datadir}/%{name}/bankinfo/
%{_datadir}/%{name}/dialogs/
%{_datadir}/%{name}/typemaker2/
%dir %{_datadir}/%{name}/backends
%{aq_plugindir}/bankinfo
%{imex_plugindir}/ctxfile.*
%{imex_plugindir}/csv.*
%{imex_plugindir}/dtaus.*
%{imex_plugindir}/eri2.*
%{imex_plugindir}/openhbci1.*
%{imex_plugindir}/q43.*
%{imex_plugindir}/sepa.*
%{imex_plugindir}/swift.*
%{imex_plugindir}/xmldb.*
%{imex_plugindir}/yellownet.*
%{imex_datadir}/ctxfile
%{imex_datadir}/csv
%{imex_datadir}/dtaus
%{imex_datadir}/eri
%{imex_datadir}/eri2
%{imex_datadir}/openhbci1
%{imex_datadir}/q43
%{imex_datadir}/sepa
%{imex_datadir}/swift
%{imex_datadir}/xmldb/profiles/*
%{imex_datadir}/yellownet/profiles/*
### The aqhbci files
%{_bindir}/aqhbci-tool4
%{_libdir}/libaqhbci.so.*
%{aq_plugindir}/providers/aqhbci.*
%{_datadir}/%{name}/backends/aqhbci
### The aqnone files
%{_libdir}/libaqnone.so.*
%{aq_plugindir}/providers/aqnone.*
## Directories
%dir %{_libdir}/aqbanking
%dir %{_libdir}/aqbanking/plugins
%dir %{aq_plugindir}
%dir %{aq_plugindir}/providers
%dir %{_datadir}/%{name}
%dir %{imex_plugindir}
%dir %{imex_datadir}
%dir %{imex_datadir}/xmldb
%dir %{imex_datadir}/xmldb/profiles
%dir %{imex_datadir}/yellownet
%dir %{imex_datadir}/yellownet/profiles
%if !%build_ofx
%{imex_datadir}/ofx
%endif

%files devel
%defattr(-,root,root)
### The aqbanking files
%{_bindir}/%{name}-config
%{_includedir}/%{name}5/
%{_libdir}/libaqbanking.so
%{_libdir}/libaqhbci.so
%{_libdir}/libaqnone.so
%{_libdir}/libaqbankingpp.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/%{name}.m4
### The aqhbci files
%{_bindir}/hbcixml3
# .so files from sub-packages
%if %build_ofx
%{_libdir}/libaqofxconnect.so
%endif

%files doc
%defattr(-,root,root)
%{_datadir}/%{name}/aqbanking-handbook.pdf

%files lang -f %{name}.lang

%if %build_ofx

%files ofx
%defattr(-,root,root)
%{_libdir}/libaqofxconnect.so.*
%{aq_plugindir}/providers/aqofxconnect.*
%{imex_plugindir}/ofx.*
%{imex_datadir}/ofx
%{_datadir}/aqbanking/backends/aqofxconnect

%endif

%changelog
* Wed Oct 23 2013 nico.kruber@gmail.com
- fix build for SLE
* Wed Oct 23 2013 nico.kruber@gmail.com
- Update to version 5.1.0beta:
  + improvements to the SEPA exporter
    (ability to create bank valid transfers and debits)
  + add fields required for SEPA debits to AB_TRANSACTION
  + SEPA debits should work (not tested yet)
  + add a command to AqBanking-CLI to add a SEPA debit to a
    ImExporterContext file from which orders in SEPA format can be
    exported
* Wed Sep 18 2013 nico.kruber@gmail.com
- Update to version 5.0.32beta:
  + fixes a compiler problem with missing source code files
* Wed Aug 21 2013 nico.kruber@gmail.com
- Update to version 5.0.31beta:
  + contains further code for SEPA transactions
  + request for help: please fetch your latest statements with
    this version and have a look whether there is information on
    the segment "HICDS" in the user settings
    ("$HOME/.aqbanking/settings/users/*.conf")
  + requires at least Gwenhywfar 4.7.0beta
- Update to version 5.0.30beta:
  + adds a missing file
- Update to version 5.0.29beta:
  + fixes a few compile warnings
  + fixes a bug in the SEPA module
  + add support for REINVEST tags in the OFX parser
    (thanks to Paul Conrady)
  + let the OFX DirectConnect module send the HTTP-Header
    "user-agent"
- drop aqbanking-5.0.28beta.no-return-in-nonvoid-function.diff
  patch (included upstream)
* Sun Jun 23 2013 nico.kruber@gmail.com
- Update to version 5.0.28beta:
  + fixes some bugs in the previous version
  + improvements to the German translation (thanks to Christian)
  + adds support for downloading credit card transactions from
    some Sparkasse banks (thanks to Matthias)
- Update to version 5.0.27beta:
  + adds a missing file in the last version's package
- Update to version 5.0.26beta:
  + implements SEPA transactions via HBCI
    (tested with some Sparkasse and Postbank banks)
  + adds commands to aqhbci-cli for retrieving SEPA information
    about bank accounts needed for SEPA transactions
  + removes (unmaintained) paypal back-end
- add aqbanking-5.0.28beta.no-return-in-nonvoid-function.diff patch
* Tue Aug  7 2012 nico.kruber@gmail.com
- Update to version 5.0.25:
  + added support for exporting bank transfers/direct debits via CSV
    (new CSV profile "transfers")
* Tue Jun  5 2012 Nico.Laus.2001@gmx.de
- Update to version 5.0.24:
  + fixes several bugs, particularly in the various HBCI keyfile
    methods and creating INI mails in HTML
  + mark PIN as bad in PIN/TAN mode if dialogue calcelled
* Wed May 16 2012 cfarrell@suse.com
- license update: SUSE-Free-Art-1.3
  Added SUSE-Free-Art-1.3 to the spreadsheet linked at license.opensuse.org
* Fri Mar  9 2012 Nico.Laus.2001@gmx.de
- Update to version 5.0.23:
  + minor improvements to the CSV profile editor
* Wed Jan 11 2012 Nico.Laus.2001@gmx.de
- Update to version 5.0.22:
  + fixes some problems with the SWIFT parser
  + fixes a crash with empty configuration files
  + added an option to set that (when using mTAN) the SMS account
    is not being charged (required by GAD-based banks)
* Mon Jan  2 2012 Nico.Laus.2001@gmx.de
- included %%{_datadir}/aclocal in the devel package
* Mon Jan  2 2012 Nico.Laus.2001@gmx.de
- Update to version 5.0.21:
  + more flexible SWIFT parser
  + improved flicker message display of optical chipTAN methods
* Fri Dec 30 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.20:
  + added support for newer TAN methods (HKTAN5)
  + added a dialogue to change account settings
    (allows changing e.g. "Prefer Single Transfer")
* Mon Dec 19 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.19:
  + support for optical chipTAN methods (in principal - for now only
    implemented in the FOX front-end)
* Wed Nov 30 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.17:
  + additionally licensed under GPLv3
  + fixes a bug in the PIN/TAN definition files (HBCI backend)
* Sun Sep 25 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.16:
  + fixes a write error
  + supports setting the charset during OFX import
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sat Sep 10 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.15:
  + fixed some bugs in OFX DirectConnect
  + cmd tools now also link to libstdc++ to fix some segfaults
* Tue Jul 19 2011 malcolmlewis@opensuse.org
- Update to version 5.0.14:
  + Bug fix in applayer.
- Changes from version 5.0.13:
  + Added some safeguards in SWIFT.
  + Fixed a bug in SWIFT parser. This bug caused the plugin to
    hang while parsing subtags which contain question marks.
  + Fixed a bug in dlg_pintan_special.dlg
- Changes from version 5.0.11:
  + Bug fixes for the parameter list.
  + Use "void" in functions with empty argument list.
  + Add argument "--charset" to aqbanking-cli and also fixes a
    typo.
  + Fixed a memory leak in banking plugin.
  + Removed a leftover LDADD.
  + Increased debug verbosity and comments in joblayer plugin.
- Update spec file License field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.
- Clean up and reformat spec file.
- Add FIXME as still unable to parallel make.
- Update BuildRequires to use pkgconfig(gtk+-2.0) instead
  of gtk2-devel.
- Remove service usage, following the new consensus on Factory
  packaging.
* Mon Jun 13 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.10:
  + some bug fixes
  + internal symbols of AqHBCI are not exported anymore
  + better handling of standing orders and terminated bank
    transfers during imports
- Update to version 5.0.9beta:
  + added "aqhbci-tool logfile" to anonymise log files
  + bug fixes for manual ChipTAN methods
- Update to version 5.0.8beta:
  + support for new iTAN methods (some manual ChipTAN methods might
    now work)
* Thu May 26 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.7:
  + added support for HKTAN version 5 in the HBCI backend
  (this should improve support for some manual ChipTan methods)
* Fri May 20 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.6:
  + fixes bugs with long RDH keys (HBCI)
* Thu Mar 17 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.5:
  + bugfixes in the HBCI-NewKeyFile dialogue and Q43 import
  + added a first version of the C++ wrappers to aqbanking
    (by Christian)
* Sun Feb 20 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.4:
  + do not assert() when failing to save user/account
  + improved handling of iTAN modes
- Update to version 5.0.3:
  + fixes some bugs in the OFX back-end
  + added support for TanMediumId when using smsTAN
* Sat Jan 15 2011 Nico.Laus.2001@gmx.de
- Update to version 5.0.2:
  + fixed some errors with HBCI version 2.2 and above
  + some fixes for Windows
* Fri Dec 10 2010 vuntz@opensuse.org
- Remove unneeded BuildRequires: libqt4-devel python-devel pyxml
  qt3-devel.
- Add BuildRequires: gcc-c++ (we need it), gtk2-devel (needed for
  - -enable-gui-tests configure option).
- Remove qt3-devel Requires from devel package.
- Pass --enable-gui-tests to configure: while we do not care much
  about this, it is useful to work around a bug in the configure
  script that causes ktoblzcheck to not be detected.
- Do not pass --with-qt3-libs and --with-qt4-libs to configure:
  these options don't exist anymore.
* Thu Sep  2 2010 dimstar@opensuse.org
- Update to version 5.0.1:
  + Fix issue when querying HBCI system identification.
* Thu Sep  2 2010 dimstar@opensuse.org
- Update to version 5.0.0:
  + Fix several issues with HBCI, mainly PIN/TAN.
  + Usage of the new dialog framework of gwenhywfar.
  + Support querying of paypac account balance.
  + Improved dialogs for HBCI and OFX DirectConnect.
  + New dialogs of EBICS and PayPal.
- Change lang Requires to Recommends.
- Drop aqbanking-qt3, aqbanking-qt4, aqbanking-ofx-qt3,
  aqbanking-ofx-qt4 subpackages as aqbanking now uses the new
  dialog framework of gwenhywfar.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 4.2.4:
  + Probably fixed a problem in definition of HITAN:1.
  + Fixed a bug in SecProfile definition.
  + Added CSV profile for Nederlandse SNS Bank.
  + Added a few SEPA-related fields to AB_TRANSACTION.
  + Improved handling of SWIFT fields within TAGS, special handling
    for SEPA transactions.
  + CSV-Im-/Exporter: Added profile variables "commaThousands" and
    "commaDecimal".
  + Added tanMethod version 3 and make HITANS:2 use that.
  + Improved debug and error messages concerning itan modes.
  + The three digit code in a :86: field is the transaction code,
    not the text key.
  + DTAUS-Exporter: Segment too long purpose lines instead of
    rejecting them.
  + Added missing segment description "HKTAN:3".
  + Build fixes.
- Add libqt4-devel BuildRequires, and create qt4 and ofx-qt4
  subpackages.
- Pass --with-qt4-libs to configure to fix detection of where qt4
  libraries live.
* Mon Jan  4 2010 vuntz@opensuse.org
- Update to version 4.2.3:
  + Decrease verbosity.
  + Fixed a bug in "Verfahrensparameter Zwei-Schritt-Verfahren" of
    HITANS:3.
* Mon Jan  4 2010 vuntz@opensuse.org
- Update handbook to 20091231 version.
* Sat Jan  2 2010 vuntz@opensuse.org
- Update to version 4.2.2:
  + Decreased verbosity.
  + Fixed a bug in the description of HITAN(1).
* Mon Dec 28 2009 vuntz@opensuse.org
- Update to version 4.2.1:
  + Applied a series of SWIFT-patches.
  + Decrease debug level of several non-critical messages.
  + Updated German bank info files.
* Wed Dec 16 2009 vuntz@opensuse.org
- Remove autoreconf call since it's unneeded.
- Add gwenhywfar-tools BuildRequires, since some binaries were
  moved from gwenhywfar-devel to gwenhywfar-tools.
- Move the handbook to a doc subpackage, since its big and has a
  different license.
- Remove .la files.
* Tue Dec  1 2009 Nico.Laus.2001@gmx.de
- Update to version 4.2.0:
  + better import of previous configurations
  + use pin file for chipcards in non-interactive mode
  + DTAUS import now sets order type correctly
- Changes from version 4.1.8:
  + fixes problems with locks inside the HBCI module
- Changes from version 4.1.7:
  + fixes OFX parser not being linked into the application
- Changes from version 4.1.6:
  + fixes an important bug in the HBCI module that was preventing
    users to store certain user and account information
- Changes from version 4.1.5:
  + fixes some minor bugs in the HBCI module
  + removes unused code
  + special support for statistical modules has been removed again
    to simplify the build system
- Changes from version 4.1.4:
  + made max number of payments per (collective) order configurable
- Changes from version 4.1.3:
  + fixes a bug in newer RDH modes (HTML output did not contain the
    correct hash value)
  + improved the CSV import so that columns can be exchanged based
    on their leading sign (this is being used by the new CSV
    profile of the Postbank Frankfurt/Main)
  + AqHBCI tool now checks valid combinations of RDH mode and HBCI
    version
- Changes from version 4.1.2:
  + fixes a crash in the QT3 frontend when editing accounts
- Drop aqbanking-strncat.patch: unneeded now.
- Added pdf-handbook
* Thu Oct  1 2009 vuntz@opensuse.org
- Remove gtk2-devel, kdelibs3-devel, libchipcard4,
  libchipcard4-devel and libglade2-devel BuildRequires: they're
  either redundant or unneeded.
- Remove gtk2-devel, kdelibs3-devel, libchipcard4-devel,
  libglade2-devel Requires of devel package.
- Change libchipcard3-devel Requires to libchipcard4-devel Requires
  in devel package.
- Remove --enable-python and --with-kde3-libs configure option:
  they don't exist anymore.
* Thu Oct  1 2009 vuntz@opensuse.org
- Remove the yellownet-related subpackages: there's no such backend
  anymore in this version. This fixes the build on i586.
* Thu Aug  6 2009 mkudlvasr@suse.cz
- update to 4.0.0, triggered by gwenhywfar
  - too long without update to describe in a few lines,
    this is very active project
* Fri Mar 27 2009 vuntz@novell.com
- Add aqbanking-remove-datetime.patch to be more build-compare
  friendly.
* Sat Mar 21 2009 crrodriguez@suse.de
- fix build with gcc 4.4
* Thu Feb 28 2008 ro@suse.de
- update to 2.3.3 (last in 2.3 series)
  - Very minor improvements: One windows function signature has been
    fixed. DTAUS export has been improved. Error messages at
    aqbanking-tool have been improved.
- update to 2.3.2
  - Windows registry lookup issues have been solved.  This release is only
    interesting for windows users.
- update to 2.3.1
  - Fix translations when using qt4, especially on Windows. Improve
    cross-compiling. (This release brings no changes for the conventional
    qt3 compile.)
- update to 2.3.0
  - Fix some path lookup issues on MS Windows. Fix a crash with erroneous
    bank codes. Fix check function in PIN/TAN mode. Improved
    aqhbci-tool. Add a function for easier initial setup (hence the
    incremented version number).
- disabled ofx backend build (incompatible with current libofx)
* Thu Jan 24 2008 coolo@suse.de
- fix open call
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Mon Jul 30 2007 sbrabec@suse.cz
- Updated to version 2.2.9:
  * Improvements in the setup wizard.
  * Fix qt4 porting code.
  * Fix crashes when actions have no selected items in qbanking.
  * Improve aqbanking-tool and aqhbci-tool usage messages.
  * Fix command line processing in tool hbcixml.
  * Fixed changes in aqofxconnect to be enabled only for new libofx
    versions.
  * The config file is saved correctly.
  * Adaptation on gwenhywfar changes.
  * AqGeldKarte has been fixed and adapted to Libchipcard3.
  * The QBanking frontend is now less verbous.
  * Allows to setup iTAN HBCI accounts.
  * Import profile for ABN AMRO Bank (NL).
  * Other fixes and improvements, see NEWS for details.
* Thu May 24 2007 stbinner@suse.de
- add missing %%run_ldconfig calls
* Sat Dec 16 2006 prusnak@suse.cz
- fixed comparison with string literal (strcmp.patch) [#224464]
* Wed Oct 18 2006 sbrabec@suse.cz
- Updated to version 2.2.3:
  * Allows to setup iTAN HBCI accounts.
  * Improved support for HBCI iTAN mode, added an import profile
    for ABN AMRO Bank (NL).
  * Fixes some errors.
* Fri Sep 15 2006 jhargadon@suse.de
- update to version 2.2.1
- fixed a bug in DTAUS importer profile "default"
- src/libs/aqbanking/types/transaction.xml: Fix typos
- added aqbanking-tool command "chkiban" which checks whether a given IBAN
  is valid
- AqOfxConnect: Fixed a bug in provider.c which could lead to a segfault
- generic bankinfo plugin:
  - implemented a mechanism to update bank info files via additional files
  - Germany: Updated HBCI and bank info files (now reads new
    format of Bundesbank files)
  - Austria:
  - updated BLZ file (now reads new, more extensive format)
  - added OFX server information for BAWAG P.S.K and EasyBank
- AqHBCI:
  - removed functions AH_HBCI_HbciToUtf8() and AH_JobQueue_AddAsUtf8() because
    they are no longer needed since the whole server response is transformed
    to UTF8 -> finally fixes Umlaut problems
  - implemented iTAN process type 2: It now works against the test server,
    tomorrow I will have to test it against a real server
- Fix rule srcdoc if directory was not existing
* Wed Aug 23 2006 schwab@suse.de
- Work around broken configure check.
* Tue May  9 2006 sbrabec@suse.cz
- Updated to version 2.0.0 (new branch).
- Split package to follow upstream packaging.
* Thu Feb 23 2006 sbrabec@suse.cz
- Fixed documentation path (#146744).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 25 2005 sbrabec@suse.cz
- Fixed libtool patch.
* Mon Oct 24 2005 sbrabec@suse.cz
- New SuSE package, version 1.2.0.
  Based on spec file from Rajesh Singh <rajeshsingh.geo@yahoo.com>.
